-- delete the configuration of the old module
SET @tmp=0;
SELECT (@tmp:=configuration_group_id) as tmp FROM configuration_group WHERE configuration_group_title= 'Magic Slideshow';
DELETE FROM configuration WHERE configuration_group_id = @tmp AND configuration_group_id != 0 and configuration_group_id IS NOT NULL;
DELETE FROM configuration_group WHERE configuration_group_id = @tmp AND configuration_group_id != 0 and configuration_group_id IS NOT NULL;

-- create config table
DROP TABLE IF EXISTS magicslideshow_configuration;
CREATE TABLE magicslideshow_configuration (
    `id` int unsigned NOT NULL auto_increment,
    `block` varchar(64) NOT NULL,
    `name` varchar(64) NOT NULL,
    `value` text,
    `default_value` text,
    `enabled` tinyint(1) unsigned NOT NULL,
    `default_enabled` tinyint(1) unsigned NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- defaut config
INSERT INTO magicslideshow_configuration (`block`, `name`, `value`, `default_value`, `enabled`,`default_enabled`) VALUES 
 ('default', 'thumb-max-width', '200', '200', 1, 1),
 ('default', 'thumb-max-height', '200', '200', 1, 1),
 ('default', 'square-images', 'disable', 'disable', 1, 1),
 ('default', 'width', 'auto', 'auto', 1, 1),
 ('default', 'height', 'auto', 'auto', 1, 1),
 ('default', 'orientation', 'horizontal', 'horizontal', 1, 1),
 ('default', 'arrows', 'No', 'No', 1, 1),
 ('default', 'loop', 'Yes', 'Yes', 1, 1),
 ('default', 'effect', 'slide', 'slide', 1, 1),
 ('default', 'effect-speed', '600', '600', 1, 1),
 ('default', 'effect-easing', 'ease', 'ease', 1, 1),
 ('default', 'autoplay', 'Yes', 'Yes', 1, 1),
 ('default', 'slide-duration', '6000', '6000', 1, 1),
 ('default', 'shuffle', 'No', 'No', 1, 1),
 ('default', 'kenburns', 'No', 'No', 1, 1),
 ('default', 'pause', 'Yes', 'Yes', 1, 1),
 ('default', 'selectors-style', 'bullets', 'bullets', 1, 1),
 ('default', 'selectors', 'none', 'none', 1, 1),
 ('default', 'selectors-eye', 'Yes', 'Yes', 1, 1),
 ('default', 'bullets-preview', 'top', 'top', 1, 1),
 ('default', 'selectors-fill', 'No', 'No', 1, 1),
 ('default', 'caption', 'Yes', 'Yes', 1, 1),
 ('default', 'fullscreen', 'No', 'No', 1, 1),
 ('default', 'preload', 'Yes', 'Yes', 1, 1),
 ('default', 'keyboard', 'Yes', 'Yes', 1, 1),
 ('default', 'show-loader', 'Yes', 'Yes', 1, 1),
 ('default', 'link-to-product-page', 'Yes', 'Yes', 1, 1),
 ('default', 'show-message', 'No', 'No', 1, 1),
 ('default', 'message', '', '', 1, 1),
 ('default', 'imagemagick', 'off', 'off', 1, 1),
 ('default', 'image-quality', '75', '75', 1, 1),
 ('default', 'watermark', '', '', 1, 1),
 ('default', 'watermark-max-width', '30%', '30%', 1, 1),
 ('default', 'watermark-max-height', '30%', '30%', 1, 1),
 ('default', 'watermark-opacity', '50', '50', 1, 1),
 ('default', 'watermark-position', 'center', 'center', 1, 1),
 ('default', 'watermark-offset-x', '0', '0', 1, 1),
 ('default', 'watermark-offset-y', '0', '0', 1, 1),
 ('homeslideshow', 'enable-effect', 'No', 'No', 0, 0),
 ('homeslideshow', 'thumb-max-width', '500', '500', 1, 1),
 ('homeslideshow', 'thumb-max-height', '500', '500', 1, 1),
 ('homeslideshow', 'width', 'auto', 'auto', 0, 0),
 ('homeslideshow', 'height', 'auto', 'auto', 0, 0),
 ('homeslideshow', 'orientation', 'horizontal', 'horizontal', 0, 0),
 ('homeslideshow', 'arrows', 'Yes', 'Yes', 1, 1),
 ('homeslideshow', 'loop', 'Yes', 'Yes', 0, 0),
 ('homeslideshow', 'effect', 'slide', 'slide', 0, 0),
 ('homeslideshow', 'effect-speed', '600', '600', 0, 0),
 ('homeslideshow', 'effect-easing', 'ease', 'ease', 0, 0),
 ('homeslideshow', 'autoplay', 'Yes', 'Yes', 0, 0),
 ('homeslideshow', 'slide-duration', '6000', '6000', 0, 0),
 ('homeslideshow', 'shuffle', 'No', 'No', 0, 0),
 ('homeslideshow', 'kenburns', 'No', 'No', 0, 0),
 ('homeslideshow', 'pause', 'Yes', 'Yes', 0, 0),
 ('homeslideshow', 'selectors-style', 'bullets', 'bullets', 0, 0),
 ('homeslideshow', 'selectors', 'none', 'none', 0, 0),
 ('homeslideshow', 'selectors-eye', 'Yes', 'Yes', 0, 0),
 ('homeslideshow', 'bullets-preview', 'top', 'top', 0, 0),
 ('homeslideshow', 'selectors-fill', 'No', 'No', 0, 0),
 ('homeslideshow', 'caption', 'Yes', 'Yes', 1, 1),
 ('homeslideshow', 'fullscreen', 'Yes', 'Yes', 1, 1),
 ('homeslideshow', 'preload', 'Yes', 'Yes', 0, 0),
 ('homeslideshow', 'keyboard', 'Yes', 'Yes', 0, 0),
 ('homeslideshow', 'show-loader', 'Yes', 'Yes', 0, 0),
 ('homeslideshow', 'link-to-product-page', 'Yes', 'Yes', 0, 0),
 ('homeslideshow', 'show-message', 'No', 'No', 1, 1),
 ('homeslideshow', 'message', '', '', 0, 0),
 ('product', 'enable-effect', 'Yes', 'Yes', 1, 1),
 ('product', 'thumb-max-width', '200', '200', 1, 1),
 ('product', 'thumb-max-height', '0', '0', 1, 1),
 ('product', 'width', 'auto', 'auto', 0, 0),
 ('product', 'height', 'auto', 'auto', 0, 0),
 ('product', 'orientation', 'horizontal', 'horizontal', 0, 0),
 ('product', 'arrows', 'Yes', 'Yes', 1, 1),
 ('product', 'loop', 'Yes', 'Yes', 0, 0),
 ('product', 'effect', 'slide', 'slide', 0, 0),
 ('product', 'effect-speed', '600', '600', 0, 0),
 ('product', 'effect-easing', 'ease', 'ease', 0, 0),
 ('product', 'autoplay', 'Yes', 'Yes', 0, 0),
 ('product', 'slide-duration', '6000', '6000', 0, 0),
 ('product', 'shuffle', 'No', 'No', 0, 0),
 ('product', 'kenburns', 'No', 'No', 0, 0),
 ('product', 'pause', 'Yes', 'Yes', 0, 0),
 ('product', 'selectors-style', 'bullets', 'bullets', 0, 0),
 ('product', 'selectors', 'none', 'none', 0, 0),
 ('product', 'selectors-eye', 'Yes', 'Yes', 0, 0),
 ('product', 'bullets-preview', 'top', 'top', 0, 0),
 ('product', 'selectors-fill', 'No', 'No', 0, 0),
 ('product', 'caption', 'Yes', 'Yes', 0, 0),
 ('product', 'fullscreen', 'Yes', 'Yes', 1, 1),
 ('product', 'preload', 'Yes', 'Yes', 0, 0),
 ('product', 'keyboard', 'Yes', 'Yes', 0, 0),
 ('product', 'show-loader', 'Yes', 'Yes', 0, 0),
 ('product', 'show-message', 'No', 'No', 0, 0),
 ('product', 'message', '', '', 0, 0),
 ('new_products', 'enable-effect', 'No', 'No', 0, 0),
 ('new_products', 'thumb-max-width', '500', '500', 1, 1),
 ('new_products', 'thumb-max-height', '500', '500', 1, 1),
 ('new_products', 'width', 'auto', 'auto', 0, 0),
 ('new_products', 'height', 'auto', 'auto', 0, 0),
 ('new_products', 'orientation', 'horizontal', 'horizontal', 0, 0),
 ('new_products', 'arrows', 'Yes', 'Yes', 1, 1),
 ('new_products', 'loop', 'Yes', 'Yes', 0, 0),
 ('new_products', 'effect', 'slide', 'slide', 0, 0),
 ('new_products', 'effect-speed', '600', '600', 0, 0),
 ('new_products', 'effect-easing', 'ease', 'ease', 0, 0),
 ('new_products', 'autoplay', 'Yes', 'Yes', 0, 0),
 ('new_products', 'slide-duration', '6000', '6000', 0, 0),
 ('new_products', 'shuffle', 'No', 'No', 0, 0),
 ('new_products', 'kenburns', 'No', 'No', 0, 0),
 ('new_products', 'pause', 'Yes', 'Yes', 0, 0),
 ('new_products', 'selectors-style', 'bullets', 'bullets', 0, 0),
 ('new_products', 'selectors', 'none', 'none', 0, 0),
 ('new_products', 'selectors-eye', 'Yes', 'Yes', 0, 0),
 ('new_products', 'bullets-preview', 'top', 'top', 0, 0),
 ('new_products', 'selectors-fill', 'No', 'No', 0, 0),
 ('new_products', 'caption', 'Yes', 'Yes', 1, 1),
 ('new_products', 'fullscreen', 'No', 'No', 0, 0),
 ('new_products', 'preload', 'Yes', 'Yes', 0, 0),
 ('new_products', 'keyboard', 'Yes', 'Yes', 0, 0),
 ('new_products', 'show-loader', 'Yes', 'Yes', 0, 0),
 ('new_products', 'link-to-product-page', 'Yes', 'Yes', 0, 0),
 ('new_products', 'show-message', 'No', 'No', 1, 1),
 ('new_products', 'message', '', '', 0, 0),
 ('whats_new', 'enable-effect', 'No', 'No', 0, 0),
 ('whats_new', 'thumb-max-width', '100', '100', 1, 1),
 ('whats_new', 'thumb-max-height', '100', '100', 1, 1),
 ('whats_new', 'width', 'auto', 'auto', 0, 0),
 ('whats_new', 'height', 'auto', 'auto', 0, 0),
 ('whats_new', 'orientation', 'horizontal', 'horizontal', 0, 0),
 ('whats_new', 'arrows', 'No', 'No', 0, 0),
 ('whats_new', 'loop', 'Yes', 'Yes', 0, 0),
 ('whats_new', 'effect', 'slide', 'slide', 0, 0),
 ('whats_new', 'effect-speed', '600', '600', 0, 0),
 ('whats_new', 'effect-easing', 'ease', 'ease', 0, 0),
 ('whats_new', 'autoplay', 'Yes', 'Yes', 0, 0),
 ('whats_new', 'slide-duration', '6000', '6000', 0, 0),
 ('whats_new', 'shuffle', 'No', 'No', 0, 0),
 ('whats_new', 'kenburns', 'No', 'No', 0, 0),
 ('whats_new', 'pause', 'Yes', 'Yes', 0, 0),
 ('whats_new', 'selectors-style', 'bullets', 'bullets', 0, 0),
 ('whats_new', 'selectors', 'none', 'none', 0, 0),
 ('whats_new', 'selectors-eye', 'Yes', 'Yes', 0, 0),
 ('whats_new', 'bullets-preview', 'top', 'top', 0, 0),
 ('whats_new', 'selectors-fill', 'No', 'No', 0, 0),
 ('whats_new', 'caption', 'Yes', 'Yes', 0, 0),
 ('whats_new', 'fullscreen', 'No', 'No', 0, 0),
 ('whats_new', 'preload', 'Yes', 'Yes', 0, 0),
 ('whats_new', 'keyboard', 'Yes', 'Yes', 0, 0),
 ('whats_new', 'show-loader', 'Yes', 'Yes', 0, 0),
 ('whats_new', 'link-to-product-page', 'Yes', 'Yes', 0, 0),
 ('whats_new', 'show-message', 'No', 'No', 1, 1),
 ('whats_new', 'message', '', '', 0, 0),
 ('specials', 'enable-effect', 'No', 'No', 0, 0),
 ('specials', 'thumb-max-width', '100', '100', 1, 1),
 ('specials', 'thumb-max-height', '100', '100', 1, 1),
 ('specials', 'width', 'auto', 'auto', 0, 0),
 ('specials', 'height', 'auto', 'auto', 0, 0),
 ('specials', 'orientation', 'horizontal', 'horizontal', 0, 0),
 ('specials', 'arrows', 'No', 'No', 0, 0),
 ('specials', 'loop', 'Yes', 'Yes', 0, 0),
 ('specials', 'effect', 'slide', 'slide', 0, 0),
 ('specials', 'effect-speed', '600', '600', 0, 0),
 ('specials', 'effect-easing', 'ease', 'ease', 0, 0),
 ('specials', 'autoplay', 'Yes', 'Yes', 0, 0),
 ('specials', 'slide-duration', '6000', '6000', 0, 0),
 ('specials', 'shuffle', 'No', 'No', 0, 0),
 ('specials', 'kenburns', 'No', 'No', 0, 0),
 ('specials', 'pause', 'Yes', 'Yes', 0, 0),
 ('specials', 'selectors-style', 'bullets', 'bullets', 0, 0),
 ('specials', 'selectors', 'none', 'none', 0, 0),
 ('specials', 'selectors-eye', 'Yes', 'Yes', 0, 0),
 ('specials', 'bullets-preview', 'top', 'top', 0, 0),
 ('specials', 'selectors-fill', 'No', 'No', 0, 0),
 ('specials', 'caption', 'Yes', 'Yes', 0, 0),
 ('specials', 'fullscreen', 'No', 'No', 0, 0),
 ('specials', 'preload', 'Yes', 'Yes', 0, 0),
 ('specials', 'keyboard', 'Yes', 'Yes', 0, 0),
 ('specials', 'show-loader', 'Yes', 'Yes', 0, 0),
 ('specials', 'link-to-product-page', 'Yes', 'Yes', 0, 0),
 ('specials', 'show-message', 'No', 'No', 1, 1),
 ('specials', 'message', '', '', 0, 0),
 ('reviews', 'enable-effect', 'No', 'No', 0, 0),
 ('reviews', 'thumb-max-width', '100', '100', 1, 1),
 ('reviews', 'thumb-max-height', '100', '100', 1, 1),
 ('reviews', 'width', 'auto', 'auto', 0, 0),
 ('reviews', 'height', 'auto', 'auto', 0, 0),
 ('reviews', 'orientation', 'horizontal', 'horizontal', 0, 0),
 ('reviews', 'arrows', 'No', 'No', 0, 0),
 ('reviews', 'loop', 'Yes', 'Yes', 0, 0),
 ('reviews', 'effect', 'slide', 'slide', 0, 0),
 ('reviews', 'effect-speed', '600', '600', 0, 0),
 ('reviews', 'effect-easing', 'ease', 'ease', 0, 0),
 ('reviews', 'autoplay', 'Yes', 'Yes', 0, 0),
 ('reviews', 'slide-duration', '6000', '6000', 0, 0),
 ('reviews', 'shuffle', 'No', 'No', 0, 0),
 ('reviews', 'kenburns', 'No', 'No', 0, 0),
 ('reviews', 'pause', 'Yes', 'Yes', 0, 0),
 ('reviews', 'selectors-style', 'bullets', 'bullets', 0, 0),
 ('reviews', 'selectors', 'none', 'none', 0, 0),
 ('reviews', 'selectors-eye', 'Yes', 'Yes', 0, 0),
 ('reviews', 'bullets-preview', 'top', 'top', 0, 0),
 ('reviews', 'selectors-fill', 'No', 'No', 0, 0),
 ('reviews', 'caption', 'Yes', 'Yes', 0, 0),
 ('reviews', 'fullscreen', 'No', 'No', 0, 0),
 ('reviews', 'preload', 'Yes', 'Yes', 0, 0),
 ('reviews', 'keyboard', 'Yes', 'Yes', 0, 0),
 ('reviews', 'show-loader', 'Yes', 'Yes', 0, 0),
 ('reviews', 'link-to-product-page', 'Yes', 'Yes', 0, 0),
 ('reviews', 'show-message', 'No', 'No', 1, 1),
 ('reviews', 'message', '', '', 0, 0),
 ('default', 'version', '4.9.1', '4.9.1', 1, 1);

-- create images table
CREATE TABLE IF NOT EXISTS magicslideshow_images (
    `id` int unsigned NOT NULL auto_increment,
    `name` varchar(256) NOT NULL,
    `title` varchar(256) DEFAULT '',
    `description` text,
    `link` varchar(256) DEFAULT '',
    `image_order` int unsigned DEFAULT 0,
    `exclude` tinyint(1) unsigned DEFAULT 0,
    PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
